WKSParser Class Reference documentation

WKSParser Class Referenceabstract

`#include <WKSParser.h>`

Inheritance diagram for WKSParser:

## Public Member Functions
| WKSParser (RVNGInputStreamPtr &input, WPSHeaderPtr &header)
virtual | ~WKSParser ()
virtual void | parse (librevenge::RVNGSpreadsheetInterface *documentInterface)=0

## Protected Member Functions
RVNGInputStreamPtr & | getInput ()
void | resetInput (RVNGInputStreamPtr const &newInput)
RVNGInputStreamPtr | getFileInput ()
WPSHeaderPtr & | getHeader ()
int | version () const
void | setVersion (int vers)
libwps::DebugFile & | ascii ()
| a DebugFile used to write what we recognize when we parse the document

## Private Member Functions
| WKSParser (const WKSParser &)=delete
WKSParser & | operator= (const WKSParser &)=delete

## Private Attributes
RVNGInputStreamPtr | m_input
WPSHeaderPtr | m_header
int | m_version
libwps::DebugFile | m_asciiFile
| the debug file

## Constructor & Destructor Documentation

## ◆ WKSParser() [1/2]

WKSParser::WKSParser | ( | RVNGInputStreamPtr & | input,
|  | WPSHeaderPtr & | header )

Referenced by LotusParser::LotusParser(), libwps::MultiplanParser::MultiplanParser(), operator=(), Quattro9Parser::Quattro9Parser(), QuattroDosParser::QuattroDosParser(), QuattroParser::QuattroParser(), WKS4Parser::WKS4Parser(), and WKSParser().

## ◆ ~WKSParser()

WKSParser::~WKSParser | ( |  | ) |
| virtual

## ◆ WKSParser() [2/2]

WKSParser::WKSParser | ( | const WKSParser & |  | ) |
| privatedelete

## Member Function Documentation

## ◆ ascii()

libwps::DebugFile & WKSParser::ascii | ( |  | ) |
| inlineprotected

a DebugFile used to write what we recognize when we parse the document

Referenced by libwps::MultiplanParser::checkHeader(), LotusParser::checkHeader(), Quattro9Parser::checkHeader(), QuattroDosParser::checkHeader(), QuattroParser::checkHeader(), WKS4Parser::checkHeader(), LotusParser::createZones(), libwps::MultiplanParser::parse(), LotusParser::parse(), Quattro9Parser::parse(), QuattroDosParser::parse(), QuattroParser::parse(), WKS4Parser::parse(), libwps::MultiplanParser::readCellDataPosition(), libwps::MultiplanParser::readColumnsWidth(), QuattroDosParser::readFieldName(), WKS4Parser::readFieldName(), QuattroDosParser::readFileName(), libwps::MultiplanParser::readFilename(), WKS4Parser::readFont(), libwps::MultiplanParser::readFormula(), libwps::MultiplanParser::readFormulaV2(), libwps::MultiplanParser::readFunctionNamesList(), QuattroDosParser::readHeaderFooter(), WKS4Parser::readHeaderFooter(), libwps::MultiplanParser::readLink(), libwps::MultiplanParser::readName(), WKS4Parser::readPrn2(), WKS4Parser::readPrnt(), libwps::MultiplanParser::readSharedData(), QuattroDosParser::readUnknown1(), WKS4Parser::readUnknown1(), QuattroDosParser::readUserFonts(), QuattroDosParser::readWindowRecord(), WKS4Parser::readWindowRecord(), QuattroDosParser::readZone(), WKS4Parser::readZone(), libwps::MultiplanParser::readZoneB(), WKS4Parser::readZoneQuattro(), libwps::MultiplanParser::readZones(), Quattro9Parser::readZones(), QuattroDosParser::readZones(), QuattroParser::readZones(), WKS4Parser::readZones(), libwps::MultiplanParser::readZonesList(), libwps::MultiplanParser::readZonesListV2(), WKS4Parser::resetMainInput(), and libwps::MultiplanParser::sendCell().

## ◆ getFileInput()

RVNGInputStreamPtr WKSParser::getFileInput | ( |  | ) |
| protected

Referenced by LotusParser::parseFormatStream(), WKS4Parser::parseFormatStream(), Quattro9Parser::readZones(), and QuattroParser::readZones().

## ◆ getHeader()

WPSHeaderPtr & WKSParser::getHeader | ( |  | ) |
| inlineprotected

## ◆ getInput()

RVNGInputStreamPtr & WKSParser::getInput | ( |  | ) |
| inlineprotected

Referenced by libwps::MultiplanParser::checkFilePosition(), QuattroDosParser::checkFilePosition(), WKS4Parser::checkFilePosition(), libwps::MultiplanParser::checkHeader(), LotusParser::checkHeader(), Quattro9Parser::checkHeader(), QuattroDosParser::checkHeader(), QuattroParser::checkHeader(), WKS4Parser::checkHeader(), QuattroDosParser::createListener(), QuattroParser::createListener(), WKS4Parser::createListener(), LotusParser::createZones(), libwps::MultiplanParser::parse(), LotusParser::parse(), Quattro9Parser::parse(), QuattroDosParser::parse(), QuattroParser::parse(), WKS4Parser::parse(), libwps::MultiplanParser::readCellDataPosition(), libwps::MultiplanParser::readColumnsWidth(), WKS4Parser::readCString(), libwps::MultiplanParser::readDouble(), QuattroDosParser::readFieldName(), WKS4Parser::readFieldName(), QuattroDosParser::readFileName(), libwps::MultiplanParser::readFilename(), QuattroDosParser::readFont(), WKS4Parser::readFont(), libwps::MultiplanParser::readFormula(), libwps::MultiplanParser::readFormulaV2(), libwps::MultiplanParser::readFunctionNamesList(), QuattroDosParser::readHeaderFooter(), WKS4Parser::readHeaderFooter(), libwps::MultiplanParser::readLink(), libwps::MultiplanParser::readName(), WKS4Parser::readPrn2(), WKS4Parser::readPrnt(), QuattroDosParser::readPString(), libwps::MultiplanParser::readSharedData(), QuattroDosParser::readUnknown1(), WKS4Parser::readUnknown1(), QuattroDosParser::readUserFonts(), QuattroDosParser::readWindowRecord(), WKS4Parser::readWindowRecord(), QuattroDosParser::readZone(), WKS4Parser::readZone(), libwps::MultiplanParser::readZoneB(), WKS4Parser::readZoneQuattro(), libwps::MultiplanParser::readZones(), Quattro9Parser::readZones(), QuattroDosParser::readZones(), QuattroParser::readZones(), WKS4Parser::readZones(), libwps::MultiplanParser::readZonesList(), libwps::MultiplanParser::readZonesListV2(), libwps::MultiplanParser::retrievePasswordKeys(), and libwps::MultiplanParser::sendCell().

## ◆ operator=()

WKSParser & WKSParser::operator= | ( | const WKSParser & |  | ) |
| privatedelete

## ◆ parse()

virtual void WKSParser::parse | ( | librevenge::RVNGSpreadsheetInterface * | documentInterface | ) |
| pure virtual

Implemented in libwps::MultiplanParser, LotusParser, Quattro9Parser, QuattroDosParser, QuattroParser, and WKS4Parser.

## ◆ resetInput()

void WKSParser::resetInput | ( | RVNGInputStreamPtr const & | newInput | ) |
| inlineprotected

Referenced by libwps::MultiplanParser::readZonesListV2(), and WKS4Parser::resetMainInput().

## ◆ setVersion()

void WKSParser::setVersion | ( | int | vers | ) |
| inlineprotected

## ◆ version()

int WKSParser::version | ( |  | ) | const
| inlineprotected

## Member Data Documentation

## ◆ m_asciiFile

libwps::DebugFile WKSParser::m_asciiFile
| private

the debug file

Referenced by ascii(), and WKSParser().

## ◆ m_header

WPSHeaderPtr WKSParser::m_header
| private

Referenced by getFileInput(), getHeader(), and WKSParser().

## ◆ m_input

RVNGInputStreamPtr WKSParser::m_input
| private

Referenced by getInput(), resetInput(), and WKSParser().

## ◆ m_version

int WKSParser::m_version
| private

Referenced by setVersion(), version(), and WKSParser().

The documentation for this class was generated from the following files:

- WKSParser.h
- WKSParser.cpp